<?php

// An exception class for lost classes... ;-)
class PathIsEmptyException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($class, $code) {
		// Add a message around the missing class
		if (is_null($class)) {
			$message = "[???:] Der Verzeichnisname ist leer.";
		} elseif (is_object($class)) {
			$message = sprintf("[%s:%d] Der Verzeichnisname ist leer.",
				$class->__toString(),
				$this->getLine()
			);
		}

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
