<?php

// Unsere eigene Exception!
class DimNotFoundInArrayException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($class, $code) {
		if (is_object($class)) {
			// Add a message around the missing class
			$message = sprintf("[%s:%d] Abmasse konnten nicht extrahiert werden!",
				$class->__toString(),
				$this->getLine()
			);
		} else {
			// No class given
			$message = sprintf("Please provide a class for <u>%s</u>", __CLASS__);
		}

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
