<?php

// An exception class for lost classes... ;-)
class MissingArrayElementsException extends FrameworkException {
	/**
	 * The constructor
	 *
	 * @param		$message		Message from the exception
	 * @param		$code		Code number for the exception
	 * @return	void
	 */
	public final function __construct ($classArray, $code) {
		// Cast the array
		$classArray = (array) $classArray;

		// Extract all elements
		$elements = "";
		if ((isset($classArray[2])) && (is_array($classArray[2]))) {
			// Convert into strings
			$elements = implode("</u>, <u>", $classArray[2]);
		} else {
			// Invalid data
			$elements = "invalid_data";
		}

		// Add a message around the missing class
		$message = sprintf("[%s:%d] Das Array <u>%s()</u> keine Elemente <u>%s</u> auf!",
			$classArray[0]->__toString(),
			$this->getLine(),
			$classArray[1],
			$elements
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
