<?php
/**
 * An interface for managing applications. This can be a lot. E.g.:
 *
 * - Un-/locking applications
 * - Creating selectors for the selector-mode
 * - Usage statistics
 * - And many more...
 *
 * @author	Roland Haeder <roland __NOSPAM__ [at] __REMOVE_ME__ mxchange [dot] org>
 * @version	0.1
 */
interface ManageableApplication extends FrameworkInterface {
	/**
	 * Getter for application's version number
	 *
	 * @return	$appVersion	The application's version number
	 */
	function getAppVersion ();
	/**
	 * Setter for application's version number
	 *
	 * @param		$appVersion	The application's version number
	 * @return	void
	 */
	function setAppVersion ($appVersion);

	/**
	 * Getter for application's human-readable name
	 *
	 * @return	$appName	The application's name readable for humans
	 */
	function getAppName ();

	/**
	 * Setter for application's human-readable name
	 *
	 * @param		$appName	The application's name readable for humans
	 * @return	void
	 */
	function setAppName ($appName);

	/**
	 * Getter for application's short uni*-like name
	 *
	 * @return	$shortName	The application's name readable for humans
	 */
	function getAppShortName ();

	/**
	 * Setter for application's short uni*-like name
	 *
	 * @param		$shortName	The application's name readable for humans
	 * @return	void
	 */
	function setAppShortName ($shortName);

	/**
	 * Launches the application
	 *
	 * @return	void
	 */
	function entryPoint ();
}

// [EOF]
?>
