<?php
/**
 * An interface for compression classes
 *
 * @author	Roland Haeder <roland __NOSPAM__ [at] __REMOVE_ME__ mxchange [dot] org>
 * @version	0.1
 */
interface Compressor extends FrameworkInterface {
	/**
	 * A compression stream
	 *
	 * @param		$streamData			Mixed non-object stream data
	 * @return	$streamData			The compressed stream data	
	 * @throws	InvalidObjectException	If the stream is an object
	 */
	function compressStream ($streamData);

	/**
	 * A decompression stream
	 *
	 * @param		$streamData			Mixed non-object stream data
	 * @return	$streamData			The decompressed stream data	
	 * @throws	InvalidObjectException	If the stream is an object
	 */
	function decompressStream ($streamData);

	/**
	 * Getter for the file extension of this compressor
	 *
	 * @return	$string	The compressor's file extension
	 */
	function getCompressorExtension ();
}

// [EOF]
?>
