<?php
/**
 * An interface for front-end database classes. The classes should prepare the
 * objects for saving in the database. So for server-bases database classes SQL
 * queries shall be generated and send to the backend classes. In case of local
 * file databases the object shall be serialized and (maybe) transparently
 * compressed before they got saved to a local file.
 *
 * @author	Roland Haeder <roland __NOSPAM__ [at] __REMOVE_ME__ mxchange [dot] org>
 * @version	0.1
 */
interface DatabaseFrontendInterface extends FrameworkDatabaseInterface {
	/**
	 * Loads data saved with saveObject from the database and re-creates a
	 * full object from it.
	 * If limitObject() was called before a new object ObjectContainer with
	 * all requested attributes will be returned instead.
	 *
	 * @return	Object	The fully re-created object or instance to
	 *					ObjectContainer
	 */
	function loadObject ();
}

// [EOF]
?>
