<?php
/**
 * An interface for file input operations.
 * 
 *
 * @author	Roland Haeder <roland __NOSPAM__ [at] __REMOVE_ME__ mxchange [dot] org>
 * @version	0.1
 */
interface FileInputStreamer extends Streamable {
	/**
	 * Reads from a local or remote file
	 *
	 * @param		$fqfn	The file's FQFN we shall load
	 * @return	$array	An array containing all read lines
	 * @throws	NullPointerException	If an instance is null
	 * @throws	NoObjectException		If the instance is not an object
	 *								instance
	 * @throws	MissingMethodException	If a required method is missing.
	 * @throws	InvalidArrayCountException	If an array has not the
	 *									expected size
	 * @throws	InvalidMD5ChecksumException	If two MD5 hashes did not match
	 */
	function loadFileContents ($fqfn);
}

//
?>
