<?php
/**
 * An interface for file output operations.
 *
 * @author	Roland Haeder <roland __NOSPAM__ [at] __REMOVE_ME__ mxchange [dot] org>
 * @version	0.1
 */
interface FileOutputStreamer extends Streamable {
	/**
	 * Saves streamed (that are mostly serialized objects) data to files or
	 * external servers.
	 *
	 * @param		$fileName		The local file's name including full path
	 * @param		$dataArray	Array containing the compressor's extension
	 *						and streamed data
	 * @return	void
	 * @throws	NullPointerException	If an instance is null
	 * @throws	NoObjectException		If the instance is not an object
	 *								instance
	 * @throws	MissingMethodException	If a required method is missing.
	 */
	function saveFile ($fileName, $dataArray);
}

//
?>
