<?php
/**
 * A debug output class for the console (e.g. hub software)
 */
class DebugConsoleOutput extends BaseFrameworkSystem implements Debugger {
	/**
	 * Private constructor
	 *
	 * @return	void
	 */
	private function __construct () {
		// Call parent constructor
		parent::constructor(__CLASS__);

		// Set description
		$this->setPartDescr("Debug-Ausgabe auf Konsole");

		// Create an unique ID
		$this->createUniqueID();
	}

	/**
	 * Creates an instance of this class
	 *
	 * @return	$debugInstance		The prepared debug instance
	 */
	public final static function createDebugConsoleOutput () {
		// Get a new instance
		$debugInstance = new DebugConsoleOutput();

		// Return it
		return $debugInstance;
	}

	/**
	 * Outputs the given data without HTML tags
	 *
	 * @param		$output	The HTML'ed output
	 * @return	void
	 */
	public final function outputStream ($output) {
		print html_entity_decode(strip_tags($output));
	}
}

// [EOF]
?>
