<?php
/**
 * A debug output class for the web browser
 */
class DebugWebOutput extends BaseFrameworkSystem implements Debugger {
	/**
	 * Private constructor
	 *
	 * @return	void
	 */
	private function __construct () {
		// Call parent constructor
		parent::constructor(__CLASS__);

		// Set description
		$this->setPartDescr("Debug-Ausgabe auf Konsole");

		// Create an unique ID
		$this->createUniqueID();
	}

	/**
	 * Creates an instance of this class
	 *
	 * @return	$debugInstance		The prepared debug instance
	 */
	public final static function createDebugWebOutput () {
		// Get a new instance
		$debugInstance = new DebugWebOutput();

		// Return it
		return $debugInstance;
	}

	/**
	 * Outputs the given data directly
	 *
	 * @param		$output	The HTML output
	 * @return	void
	 */
	public final function outputStream ($output) {
		trigger_error($output);
	}
}

// [EOF]
?>
